as.adp {oce} | R Documentation

## Create an adp Object

### Description

Create an adp Object

### Usage

    as.adp(time, distance, v, a = NULL, q = NULL, orientation = "upward",
      coordinate = "enu")

### Arguments

`time` | of observations in POSIXct format
`distance` | to centre of bins
`v` | array of velocities, with first index for time, second for bin number, and third for beam number
`a` | amplitude, a `raw` array with dimensions matching `u`
`q` | quality, a `raw` array with dimensions matching `u`
`orientation` | a string indicating sensor orientation, e.g. `"upward"` and `"downward"`
`coordinate` | a string indicating the coordinate system, `"enu"`, `"beam"`, `"xy"`, or `"other"`

### Details

Construct an object of `adp-class`. Only a basic subset of the typical `data` slot is represented in the arguments to this function, on the assumption that typical usage in reading data is to set up a nearly-blank `adp-class` object, the `data` slot of which is then inserted. However, in some testing situations it can be useful to set up artificial `adp` objects, so the other arguments may be useful.

A few defaults are set for some

### Value

An object of `adp-class`.

### Examples

    data(adp)
    t <- adp[["time"]]
    d <- adp[["distance"]]
    v <- adp[["v"]]
    a <- as.adp(time=t, distance=d, v=v)
    ## Not run:
    plot(a)

    ## End(Not run)

[Package oce version 0.9-18 Index]